org.eclipse.microprofile.graphql

## Annotation Type Enum

    @Retention(value=RUNTIME)
     @Target(value=TYPE)
     @Documented
    public @interface Enum

Maps of the annotated Java enum to a GraphQL enum.
For example, a user might annotate a enum as such:

      @Enum("ClothingSize")
     public enum ShirtSize {
           S,
           M,
           L,
           XL,
           XXL,
           HULK
       }

Schema generation of this would result in a stanza such as:

       enum ClothingSize {
        HULK
        L
        M
        S
        XL
        XXL
      }

### Optional Element Summary

Optional Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  the name of the GraphQL enum.

Default:
  ""